#include <bits/stdc++.h>

using namespace std;

vector<vector<int>> dp(1000001,vector<int> (27,0));
long long mod=1e9+7;

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(NULL);cout.tie(NULL);
    int n,i,j;
    string str,alphabet="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    cin>>n>>str;
    n++;
    for(i=0;i<n;i++)dp[i][0]=1;
    for(int i=1;i<n;i++)
    {
        for(j=1;j<27;j++)
        {
            if(str[i-1]!=alphabet[j-1])dp[i][j]=dp[i-1][j];
            else dp[i][j]=(dp[i-1][j]+dp[i-1][j-1])%mod;
        }
    }
    cout<<dp[n-1][26];
    return 0;
}